Subject: Re: bug#50493: Update go-build-system to use Go 1.17.

From: Efraim Flashner <[email-masked]>
Date: Wed, 15 Dec 2021 20:03:32 +0200

On Wed, Dec 15, 2021 at 12:44:05PM -0500, Leo Famulari wrote:
> On Wed, Dec 15, 2021 at 12:40:07PM +0200, Efraim Flashner wrote:
> > I'll try poking it a bit with my aarch64 board. We can also switch the
> > aarch64 go builds to bootstrap from gccgo, that might make a difference
> > too.
> 
> Thanks, let us know how it goes.
> 
> I tried building go-1.17.4 for aarch64 with libgcc as an input, but it
> failed in another way. So any progress you can make would be helpful.

I got pretty far commenting out binutils-gold and adding back in gcc:lib
and the substitute snippets. Then I started failing tests requiring the
linker, so it looks like I'll actually have to troubleshoot
binutils-gold.

I thought about trying gccgo in place of go-1.4 for the bootstrap, but
I'm pretty sure I'd still need binutils-gold.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted